org.apache.commons.math3.optimization.fitting

## Class WeightedObservedPoint

- java.lang.Object
- - org.apache.commons.math3.optimization.fitting.WeightedObservedPoint

- All Implemented Interfaces:
    Serializable

      public class WeightedObservedPoint
      extends Object
      implements Serializable

  This class is a simple container for weighted observed point in `curve fitting`.

  Instances of this class are guaranteed to be immutable.

  Since:
    2.0
  Version:
    $Id: WeightedObservedPoint.java 1244107 2012-02-14 16:17:55Z erans $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeightedObservedPoint(double weight, double x, double y)` Simple constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getWeight()` Get the weight of the measurement in the fitting process.
    `double` | `getX()` Get the abscissa of the point.
    `double` | `getY()` Get the observed value of the function at x.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WeightedObservedPoint

          public WeightedObservedPoint(double weight,
                               double x,
                               double y)

      Simple constructor.
      Parameters:
        `weight` - weight of the measurement in the fitting process
        `x` - abscissa of the measurement
        `y` - ordinate of the measurement

  - ### Method Detail

    - #### getWeight

          public double getWeight()

      Get the weight of the measurement in the fitting process.
      Returns:
        weight of the measurement in the fitting process

    - #### getX

          public double getX()

      Get the abscissa of the point.
      Returns:
        abscissa of the point

    - #### getY

          public double getY()

      Get the observed value of the function at x.
      Returns:
        observed value of the function at x

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.